[arrayed_action.spec]
id = "arrayed_action"

[[arrayed_action.external.action]]
id = "split_string"
operation = "split string"

[[arrayed_action.data.distributor]]
id = "distribute_strings"
source = "IDENTITY_1"
target = "string"

[[arrayed_action.data.collector]]
id = "collect_words"
source = "words"
target = "IDENTITY_2"

[[arrayed_action.data.picker]]
id = "pick_id"
source = "string"
target = "input_string"

[[arrayed_action.data.putter]]
id = "put_id"
source = "output_words"
target = "words"

[[arrayed_action.control.start]]
id = "start"

[[arrayed_action.control.action]]
id = "action"
action = "split_string"
pickers = ["pick_id",]
putters = ["put_id",]
distributor = "distribute_strings"
collector = "collect_words"

[[arrayed_action.control.end]]
id = "end"

[[arrayed_action.control.channel]]
upstream = "start"
downstream = "action"

[[arrayed_action.control.channel]]
upstream = "action"
downstream = "end"
